### Constructor

# FoundryGtk TerminalPaletteSet new

#### Declaration [src]

    DexFuture*
    foundry_terminal_palette_set_new (
      GBytes* bytes
    )

#### Description

No description available.

#### Parameters

`bytes`

  Type: `GBytes`

  No description available.

  The data is owned by the caller of the function.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `FoundryTerminalPaletteSet` or rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.